<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import axios from "axios";

@Component({
	components: {},
})
export default class DialogAddedComponent extends Vue {
	listProductRecommend = [
		{
			image: "https://img.thesitebase.net/10328/10328418/products/360x360@1663779149328cb7591d.jpg",
			name: "1pc Funny Cat Toy Stick Teaser Feather Toy Kitten Colorful Rod Cat...",
			price: 4.49,
			priceDiscount: 4.49,
		},
		{
			image: "https://img.thesitebase.net/10328/10328418/products/360x360@1663779149328cb7591d.jpg",
			name: "1pc Funny Cat Toy Stick Teaser Feather Toy Kitten Colorful Rod Cat...",
			price: 4.49,
			priceDiscount: 4.49,
		},
		{
			image: "https://img.thesitebase.net/10328/10328418/products/360x360@1663779149328cb7591d.jpg",
			name: "1pc Funny Cat Toy Stick Teaser Feather Toy Kitten Colorful Rod Cat...",
			price: 4.49,
			priceDiscount: 4.49,
		},
	];

	get dialogAdded() {
		const dialogAdded = this.$store.state.product.dialogAdded;
		if (dialogAdded) {
			return true;
		}
		return false;
	}

	closeDialogAdded() {
		this.$store.commit("product/setDialogAdded", false);
	}

	get cart() {
		return this.$store.state.cart.cart;
	}
}
</script>

<style src="./style.css"></style>
